#
# spec file for package python-python-pam
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-python-pam
%global modname python-pam
Version:        1.8.2
Release:        lp150.1.3
License:        MIT
Summary:        Python PAM module using ctypes, py3/py2
Url:            https://github.com/FirefighterBlu3/%{modname}
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Python pam module supporting py3 (and py2).

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Mon Jun 19 2017 okurz@suse.com
- Initial version 1.8.2
